<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
  echo"<script language=\"JavaScript\" src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js\"></script>"
    . "<script language='JavaScript' src='../scripts/pasa_stock.js'></script>";

    echo "<center><h1>Cambio ID de Stock</h1>"
    . "<h3>Selecciona un producto del lado izquierdo del cual vas a sustraerle unidades. Despu&eacute;s, selecciona el otro producto en el lado derecho al cual se le administrar&aacute;n las unidades."
            . " En el cuadro del medio escribe la cantidad que se vaya a transferir. Y por &uacute;ltimo, presiona el bot&oacute;n '>>' para pasar el n&uacute;mero.
                Autom&aacute;ticamene se ver&aacute reflejada la sustracci&oacute;n en la parte de abajo del primer producto.</h3>
                <p>&Uacute;sala sabiamente y con cuidado, revisa bien ambos Id's y que las unidades que se van a pasar sean las correctas</p></center>";
   
    $cant=0;$cant2=0;
    $sel_centro=$_POST["centro_value"];
    echo "<center><table border='0' cellspading='5'><tr><td>";
    $co="select * from stock inner join productos on productos.id_prod=stock.idprod where stock.idcd='$sel_centro' ";
    $coo=mysql_query($co) or die ("Error $ co: ".mysql_error());
    echo "<select id='stock1' onchange='msep();' >";
    while($prod1=mysql_fetch_object($coo)){
        $i=0;
        echo "<option value='$prod1->idprod'>$sel_centro - $prod1->idprod - $prod1->nombreProd</option>";
        $cant=$prod1->cantidad;
        $i++;
        
    }
    echo "</select></td>";
    
    echo "<td><input type='button' id='agregador' value='>>' onclick='cant1st()' />"
    . "<input type='hidden' id='centro_sel' value='$sel_centro' /></td>";
    
    echo "<td>";
    $co2="select * from stock inner join productos on productos.id_prod=stock.idprod where stock.idcd='$sel_centro' ";
    $coo2=mysql_query($co2) or die ("Error $ co2: ".mysql_error());
    echo "<select id='stock2' >";
    while($prod2=mysql_fetch_object($coo2)){
        $i=0;
        echo "<option value='$prod2->idprod'>$sel_centro - $prod2->idprod - $prod2->nombreProd</option>";
        $cant2=$prod2->cantidad;
        $i++;
    }
    echo "</select></td></tr>";
    
    echo "<tr><td><label id='st1'></label></td>"; 
    
  //  echo "<td><input type='button' id='regresador' value='<<' onclick='cant2st()' /></td>";
    
    echo "<td></td><td><label id='st2'></label></td></tr>";
    
    echo "<tr><td></td><td><input type='text' value='1' id='sw' size='4' /></td><td></td></tr>"
    . "</table></center>";
?>
